WMFIRE(1)

NAME
wmfire - Fiery dock app monitor

SYNOPSIS
wmfire [-c CPU] [-f COLOUR] [-F FILE] [-g GEOMETRY] [-h] [-H MAX] [-i INTERFACE] [-l] [-L MIN] [-m] [-n] [-p] [-s SPEED] [-x] [-y]

DESCRIPTION

wmfire is flaming dock app which can monitor your cpu, memory, network or a file.

o Left click to change the status monitor (unless locked)
o Middle click to hide/show nice'd process on cpu load
o Right click to change flame colour (unless locked)
o Mouse wheel up or down is the same as left click

On mouse over the cursor will disappear and be replaced by a burning spot at that location. After two seconds symbols will be burnt to represent what is being monitored. For cpu, a short solid bar represents average load or a line of dots representing the current cpu number on SMP systems. For the memory, a grid of dots is used to signify a memory array. For the network, a line of marching dots is like data passing through a cable. For file values, a spinning disk platter is shown.

(Not all window managers support all mouse over effects.)

OPTIONS

-c [0..3]
    Monitor SMP CPU number X

-f [1..4]
    Change flame colour
    (1:Natural 2:Coronal 3:Blue 4:Green)

-F [...]
    Monitor file

-g [{+-}X{+-}Y]
    Set initial window position

-h  Show help

-H [...]
    Set maximum (high) value for file monitoring

-i [...]
    Change the network interface
    (Default is "ppp0")

-l  Lock flame colour and monitor

-L [...]
    Set minimum (low) value for file monitoring

-m  Monitor the memory load

-n  Monitor the network traffic

-p  Fire effect only (no monitoring)

-r  [...] Change resource name (default:wmfire)

-s [...][K|M]
    Change the network speed - kilobytes or megabytes
    (Automatic preset values for interfaces: ppp=56K eth=100M)

-x  Exclude nice'd CPU load

-y  Set window sticky for window managers which do not support dock apps

EXAMPLES
wmfire -F /tmp/file -L 40 -H 60 -i eth2 -s 1000M

NOTES
The file monitoring will only read the first value in a file. For complex parsing use an external program to read the required value and write it to the same file wmfire is set to read.

BUGS
Please report any bugs you may find to:

swanson@ukfsn.org

AUTHOR
Alan Swanson <alan.swanson@ukfsn.org>

http://www.swanson.ukfsn.org